<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

defined('XTDIR_API') || define('XTDIR_API', true);

defined('CXTDIR') || define('CXTDIR', 'com_xtdir');
defined('CXTDIR_NAME') || define('CXTDIR_NAME', 'XTDir Search Plugin Free');
defined('CXTDIR_VERSION') || define('CXTDIR_VERSION', '5.3.0');

// Check for PHP4
if (defined('PHP_VERSION'))
{
	$version = PHP_VERSION;
}
elseif (function_exists('phpversion'))
{
	$version = phpversion();
}
else
{
	// No version info. I'll lie and hope for the best.
	$version = '5.0.0';
}

// Old PHP version detected. EJECT! EJECT! EJECT!
if (!version_compare($version, '5.3.0', '>='))
{
	if (JError::$legacy)
	{
		JError::setErrorHandling(E_ERROR, 'die');

		return JError::raise(
			E_ERROR,
			500,
			'PHP versions 4.x, 5.0, 5.1 and 5.2 are no longer supported by XTDir.',
			'The version of PHP used on your site is obsolete and contains known security vulenrabilities.
			Moreover, it is missing features required by XTDir to work properly or at all.
			Please ask your host to upgrade your server to the latest PHP 5.3/5.4 stable release. Thank you!');
	}
	else
	{
		throw new Exception('PHP versions 4.x, 5.0, 5.1 and 5.2 are no longer supported by XTDir.');
	}
}

// Load FOF
include_once JPATH_LIBRARIES . '/fof/include.php';

if (!defined('FOF_INCLUDED'))
{
	if (JError::$legacy)
	{
		JError::setErrorHandling(E_ERROR, 'die');

		return JError::raiseError(
				'500',
				'Your XTDir installation is broken; please re-install.
					Alternatively, extract the installation archive and copy the fof directory inside your site\'s libraries directory.');
	}
	else
	{
		throw new Exception('Your XTDir installation is broken; please re-install.');
	}
}

defined('JPATH_XTDIR') || define('JPATH_XTDIR', JPATH_ADMINISTRATOR . '/components/com_xtdir');
defined('JPATH_XTDIR_HELPERS') || define('JPATH_XTDIR_HELPERS', JPATH_XTDIR . '/helpers');

JLoader::import('extly.extlyframework');

JLoader::register('CategoriesHelper', JPATH_XTDIR_HELPERS . '/categories.php');
JLoader::register('EEasySocialHelper', JPATH_XTDIR_HELPERS . '/easysocial.php');
JLoader::register('ExtendedSearchHelper', JPATH_XTDIR_HELPERS . '/extendedsearch.php');
JLoader::register('FieldsHelper', JPATH_XTDIR_HELPERS . '/fields.php');
JLoader::register('PromotedHelper', JPATH_XTDIR_HELPERS . '/promoted.php');
JLoader::register('Searcher', JPATH_XTDIR_HELPERS . '/searcher.php');
JLoader::register('SectionsHelper', JPATH_XTDIR_HELPERS . '/sections.php');
JLoader::register('SelectControlHelper', JPATH_XTDIR_HELPERS . '/select.php');
JLoader::register('SobiproHelper', JPATH_XTDIR_HELPERS . '/sobipro.php');
JLoader::register('StatsHelper', JPATH_XTDIR_HELPERS . '/stats.php');
JLoader::register('ESystemHelper', JPATH_XTDIR_HELPERS . '/system.php');
JLoader::register('TreeIndexer', JPATH_XTDIR_HELPERS . '/treeindexer.php');
JLoader::register('UtilHelper', JPATH_XTDIR_HELPERS . '/util.php');
JLoader::register('XtdirLogger', JPATH_XTDIR_HELPERS . '/logger.php');

if (!defined('XTDIR_LOGGER'))
{
	define('XTDIR_LOGGER', true);
	XtdirLogger::getInstance();
}

defined('XTDIR_MULTI_MODE') || define('XTDIR_MULTI_MODE', false);

defined('XTDIR_PROMOTED_ENTRIES') ||
	define('XTDIR_PROMOTED_ENTRIES', (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_promotedentries.zip')));

defined('XTDIR_BUSINESS_PAGES') ||
	define('XTDIR_BUSINESS_PAGES', (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_jomsocialprofilesp.zip')));

defined('XTDIR_BUSINESS_PAGES_ES') ||
	define('XTDIR_BUSINESS_PAGES_ES', (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_easysocialprofilesp.zip')));
