<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

include_once 'extensions.php';

include_once JPATH_ADMINISTRATOR . '/components/com_xtdir/api/sobipro_api.php';

/**
 * XtdirControllerPagesEsCfgs
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
*/
class XtdirControllerPagesEsCfgs extends XtdirControllerExtensions
{
	/**
	 * installEasysocialProfilespApp
	 *
	 * @return	void
	 */
	public function installEasysocialProfileSpApp()
	{
		// CSRF prevention
		if ($this->csrfProtection)
		{
			$this->_csrfProtection();
		}

		SobiproHelper::installApp('/media/com_xtdir/apps/app_xtd_easysocialprofilesp.zip');
	}

	/**
	 * installSp2EsActivityStreamApp
	 *
	 * @return	void
	 */
	public function installSp2EsActivityStreamApp()
	{
		// CSRF prevention
		if ($this->csrfProtection)
		{
			$this->_csrfProtection();
		}

		SobiproHelper::installApp('/media/com_xtdir/apps/app_xtd_sp2esactivitystream.zip');
	}

	/**
	 * installEasySocialSobiProMyEntries
	 *
	 * @return	void
	 */
	public function installEasySocialSobiProMyEntries()
	{
		// CSRF prevention
		if ($this->csrfProtection)
		{
			$this->_csrfProtection();
		}

		@ob_end_clean();
		header('Content-type: text/plain');

		try
		{
			EEasySocialHelper::initFoundry();

			EEasySocialHelper::installApp('/media/com_xtdir/apps/app_xtd_essobipromyentries.zip');
		}
		catch (Exception $e)
		{
			$error_message = $e->__toString();
		}

		$message = json_encode(
				array(
								'type' => 'success',
								'text' => JText::_('COM_XTDIR_TITLE_ESSOBIPROMYENTRIES_APP_MSG')
			)
		);

		echo EJSON_START . $message . EJSON_END;
		flush();

		JFactory::getApplication()->close();
	}
}
