<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirControllerPromoentries
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
*/
class XtdirControllerPromoentries extends FOFController
{
	/**
	 * Saves the order of the items
	 *
	 * @return  void
	 */
	public function saveorderfromentry()
	{
		// CSRF prevention
		if ($this->csrfProtection)
		{
			$this->_csrfProtection();
		}

		$model = $this->getThisModel();

		if (!$model->getId())
		{
			$model->setIDsFromRequest();
		}

		$ids = $model->getIds();
		$orders = $this->input->get('order', array(), 'array');
		$ids4saving = $this->input->get('id4saving', array(), 'array');

		$finalSectionPromoted = FOFModel::getTmpInstance('FinalSectionPromoted', 'XtdirModel');

		if ($n = count($ids4saving))
		{
			for ($i = 0; $i < $n; $i++)
			{
				$entry_id = (int) $ids4saving[$i];
				$neworder = (int) $orders[$i];

				$model->reset();
				$model->setState('entry_id', $entry_id);
				$item = $model->getFirstItem(true);
				$id = $item->entry_id;

				$finalSectionPromoted->reset();
				$finalSectionPromoted->setState('entry_id', $entry_id);
				$finalPromotedEntry = $finalSectionPromoted->getFirstItem(true);
				$oldorder = $finalPromotedEntry->ordering;

				if ($neworder != $oldorder)
				{
					$item->entry_id = $entry_id;
					$item->ordering = $neworder;
					$item->published = 1;
					$model->save($item);
				}
			}
		}

		// $status = $model->reorder();
		$status = true;

		// Redirect

		if ($customURL = $this->input->get('returnurl', '', 'string'))
		{
			$customURL = base64_decode($customURL);
		}

		$url = !empty($customURL) ? $customURL : 'index.php?option=' . $this->component . '&view=' . FOFInflector::pluralize($this->view);
		$this->setRedirect($url);

		return $status;
	}

	/**
	 * Save the incoming data and then return to the Browse task
	 *
	 * @return  void
	 */
	public function save()
	{
		$result = parent::save();

		if ($result)
		{
			$textkey = strtoupper($this->component) . '_LBL_' . strtoupper($this->view) . '_SAVED';

			if ($customURL = $this->input->get('returnurl', '', 'string'))
			{
				$customURL = base64_decode($customURL);
			}

			$url = !empty($customURL) ? $customURL : 'index.php?option=' . $this->component . '&view=objects';
			$this->setRedirect($url, JText::_($textkey));
		}

		return $result;
	}

	/**
	 * Cancel the edit, check in the record and return to the Browse task
	 *
	 * @return  void
	 */
	public function cancel()
	{
		$result = parent::cancel();

		if ($result)
		{
			if ($customURL = $this->input->get('returnurl', '', 'string'))
			{
				$customURL = base64_decode($customURL);
			}

			$url = !empty($customURL) ? $customURL : 'index.php?option=' . $this->component . '&view=objects';
			$this->setRedirect($url);
		}

		return true;
	}
}
