<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * FieldsHelper
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 * @since       1.0
*/
class FieldsHelper
{
	/**
	 * generateOutput
	 *
	 * @param   array  &$fields  Params
	 *
	 * @return  string
	 *
	 * @since   1.0
	 */
	public static function generateOutput(&$fields)
	{
		$output = array();

		if (count($fields) > 0)
		{
			foreach ($fields as $field)
			{
				$data = $field->searchForm();
				$suffix = $field->get('searchMethod') != 'range' ? $field->get('suffix') : null;

				if (strlen($data))
				{
					$nid = $field->get('nid');
					$name = $field->get('name');
					$id = $field->get('id');
					$type = $field->get('type');
					$position = $field->get('position');
					$css_class = (strlen($field->get('cssClass')) ? $field->get('cssClass') : 'spField');
				}

				echo "<tr class=\"\"><td>";
				echo $field->get('name');
				echo '</td><td>';
				echo $data;
				echo '</td></tr>';
			}
		}

		return join("\n", $output);
	}
}
