<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * SectionsHelper Helper class.
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
*/
class SectionsHelper
{
	/**
	 * getSearchSelect
	 *
	 * @param   mixed  $listofsections  Params
	 *
	 * @return  string
	 *
	 * @since   1.0
	 */
	public static function getSearchSelect($listofsections = null)
	{
		$db = JFactory::getDBO();

		$sections = null;

		if (count($listofsections) > 0)
		{
			$thesections = implode(',', $listofsections);
			$sections = " AND s.id IN ($thesections)";
		}

		$query = "SELECT s." . $db->quoteName('id') . ", s." . $db->quoteName('name') . "
				FROM " . $db->quoteName('#__sobipro_object') . " AS s
				WHERE s.parent=0 AND s.state=1 {$sections} ORDER BY s.id;";
		$db->setQuery($query);
		$results = $db->loadObjectList();

		$c = count($results);

		if ($c == 1)
		{
			$id = $results[0]->id;
			$output = '<div class="SPSearchSections">
					<input name="sid"
					type="hidden"
					class="SPSearchSelect SPSectionSelect" value="' . $id . '"></div>';
		}
		else
		{
			$output = '<div class="SPSearchSections"><select name="sid" class="SPSearchSelect SPSectionSelect">';

			foreach ($results as $result)
			{
				// Name
				$section = SobiproHelper::loadAndExtend($result->id);
				$name = $section->get('name');
				$output = $output . '<option value="' . $result->id . '">' . htmlentities($name) . '</option>';
			}

			$output = $output . '</select></div>';
		}

		return $output;
	}

	/**
	 * Return sections
	 *
	 * @return	array.
	 *
	 * @since	1.0
	 */
	public static function findAll()
	{
		$sectionsModel = FOFModel::getTmpInstance('Objects', 'XtdirModel');
		$sectionsModel->setState('state', 1);
		$sectionsModel->setState('oType', 'section');
		$query = $sectionsModel->buildQuery(true);

		$_db = JFactory::getDbo();
		$_db->setQuery($query);
		$items = $_db->loadColumn();

		return $items;
	}
}
