<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirModelPromoEntries
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 * @since       1.0
*/
class XtdirModelPromoEntries extends FOFModel
{
	/**
	 * buildQuery
	 *
	 * @param   bool  $overrideLimits  Param
	 *
	 * @return	FOFQuery
	 */
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();

		$query = $db->getQuery(true)->select('pe.*')->from($db->quoteName('#__xtdir_promoentries', 'pe'))->from($db->quoteName('#__sobipro_object', 'e'))->where('pe.entry_id = e.id');

		$fltId = $this->getState('id', null, 'int');

		if ($fltId != '')
		{
			$query->where($db->qn('pe.id') . ' = ' . $db->q($fltId));
		}

		$fltEntryId = $this->getState('entry_id', null, 'int');

		if ($fltEntryId != '')
		{
			$query->where($db->qn('pe.entry_id') . ' = ' . $db->q($fltEntryId));
		}

		$fltEntry = $this->getState('entry', null, 'string');

		if ($fltEntry != '')
		{
			$query->where('(pe.' . $db->qn('entry_id') . ' = ' . $db->q($fltEntry) . ' OR ' . 'e.' . $db->qn('name') . ' LIKE ' . $db->q('%' . $fltEntry . '%') . ')');
		}

		$fltPublished = $this->getState('published', null, 'cmd');

		if ($fltPublished != '')
		{
			$query->where('pe.' . $db->qn('published') . ' = ' . $db->q($fltPublished));
		}

		$order = $this->getState('filter_order', 'pe.id', 'cmd');

		if (!in_array($order, array_keys($this->getTable()->getData())))
		{
			$order = 'pe.id';
		}

		$dir = $this->getState('filter_order_Dir', 'ASC', 'cmd');
		$query->order($order . ' ' . $dir);

		return $query;
	}

	/**
	 * Binds the data to the model and tries to save it
	 *
	 * @param   array|object  $data  The source data array or object
	 *
	 * @return  boolean  True on success
	 */
	public function save($data)
	{
		$result = parent::save($data);

		if (is_object($data))
		{
			PromotedHelper::index($data->entry_id);
		}
		else
		{
			PromotedHelper::index($data['entry_id']);
		}

		return $result;
	}
}
