<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirModelSocialApps
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 * @since       1.0
*/
class XtdirModelSocialApps extends FOFModel
{
	/**
	 * buildQuery
	 *
	 * @param   bool  $overrideLimits  Param
	 *
	 * @return	FOFQuery
	 */
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();

		$query = $db->getQuery(true)->select('*')->from($db->quoteName('#__social_apps'));

		$fltElement = $this->getState('element', null, 'cmd');

		if ($fltElement)
		{
			$query->where($db->qn('element') . ' = ' . $db->q($fltElement));
		}

		$fltId = $this->getState('id', null, 'int');

		if ($fltId)
		{
			$query->where($db->qn('id') . ' = ' . $db->q($fltId));
		}

		$fltType = $this->getState('type', null, 'cmd');

		if ($fltType)
		{
			$query->where($db->qn('type') . ' = ' . $db->q($fltType));
		}

		$fltEnabled = $this->getState('state', null, 'int');

		if ($fltEnabled != '')
		{
			$query->where($db->qn('state') . ' = ' . $db->q($fltEnabled));
		}

		$order = $this->getState('filter_order', 'id', 'cmd');

		if (!in_array($order, array_keys($this->getTable()->getData())))
		{
			$order = 'id';
		}

		$dir = $this->getState('filter_order_Dir', 'ASC', 'cmd');
		$query->order($order . ' ' . $dir);

		return $query;
	}
}
