DROP VIEW IF EXISTS `#__xtdir_promocategories_paid_view`;
DROP TABLE IF EXISTS `#__xtdir_promocategories_paid_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_promocategories_paid_view` AS 
	select `t`.`section` AS `section_id`,`t`.`parent` AS `category_id`,`t`.`id` AS `entry_id`, `promo`.`ordering` AS `ordering`,`promo`.`promotype_id` as `promotype_id`, `promo`.`tiertype_id` as `tiertype_id`, null  as `promoentry_id`, max(`r`.`id`) as `promoorder_id`
		from `#__xtdir_trees` `t` 
			join `#__sobipro_object` `o` on
				((`t`.`id` = `o`.`id`) and (`o`.`oType` = 'entry')) 
			join `#__xtdir_promotions` `promo` on
				((`t`.`parent` = `promo`.`category_id`) and (`promo`.`published` = 1) and (`promo`.`tiertype_id` = 'P'))
			join `#__xtdir_lastrun`
			join `#__xtdir_promoorders` `r` on
				(	(`o`.`id` = `r`.`entry_id`) and (`r`.`order_status` = 'O') and 
					((`r`.`promoted_since` = '0000-00-00 00:00:00') or (`r`.`promoted_since` <= `lastrun`)) and
					((`r`.`promoted_until` = '0000-00-00 00:00:00') or (`r`.`promoted_until` >= `lastrun`))
				) group by `t`.`section`,`t`.`parent`,`t`.`id`,`promo`.`ordering`,`promo`.`promotype_id`,`promo`.`tiertype_id`;		

DROP VIEW IF EXISTS `#__xtdir_promocategories_dynamic_view`;
DROP TABLE IF EXISTS `#__xtdir_promocategories_dynamic_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_promocategories_dynamic_view` AS 
	select `t`.`section` AS `section_id`,`t`.`parent` AS `category_id`,`t`.`id` AS `entry_id`, `promo`.`ordering` AS `ordering`,`promo`.`promotype_id` as `promotype_id`, `promo`.`tiertype_id` as `tiertype_id`, null  as `promoentry_id`, null as `promoorder_id`  
		from `#__xtdir_trees` `t` 
			join `#__sobipro_object` `o` on
				((`t`.`id` = `o`.`id`) and (`o`.`oType` = 'entry')) 
			join `#__xtdir_promotions` `promo` on
				((`t`.`parent` = `promo`.`category_id`) and (`promo`.`published` = 1) and (`promo`.`tiertype_id` = 'D'))

			left join `#__xtdir_promocategories_paid_view` `pcp` on (`t`.`id` = `pcp`.`entry_id`)
		where
			isnull(`pcp`.`entry_id`) and 
			(
				(`t`.`id` = (select `sid` from `#__sobipro_field_option_selected` `opt` 
					where `opt`.`sid` = `t`.`id` and `opt`.`fid` = `promo`.`field_id` and `opt`.`optValue` = `promo`.`field_value` LIMIT 1)) OR
				(`t`.`id` = (select `sid` from `#__sobipro_field_data` `d` 
					where `d`.`sid` = `t`.`id` and `d`.`fid` = `promo`.`field_id` and `d`.`baseData` = `promo`.`field_value` LIMIT 1))
			);

DROP VIEW IF EXISTS `#__xtdir_promocategories_manual_view`;
DROP TABLE IF EXISTS `#__xtdir_promocategories_manual_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_promocategories_manual_view` AS 
	select `t`.`section` AS `section_id`,`t`.`parent` AS `category_id`,`t`.`id` AS `entry_id`, 
			IF(isnull(`pe`.`id`), `promo`.`ordering`, `pe`.`ordering`) as `ordering`,
			IF(isnull(`pe`.`id`), `promo`.`promotype_id`, 'E') as `promotype_id`, 
			IF(isnull(`pe`.`id`), `promo`.`tiertype_id`, 'M')  as `tiertype_id`,
			`pe`.`id` as `promoentry_id`, 
			null as `promoorder_id`
		from `#__xtdir_trees` `t` 
			join `#__sobipro_object` `o` on
				((`t`.`id` = `o`.`id`) and (`o`.`oType` = 'entry')) 
			join `#__xtdir_promotions` `promo` on
				((`t`.`parent` = `promo`.`category_id`) and (`promo`.`published` = 1) and (`promo`.`tiertype_id` = 'M'))
			join `#__xtdir_lastrun`
			left join `#__xtdir_promoentries` `pe` on (
				`t`.`id` = `pe`.`entry_id` and `pe`.`published` = 1 and
				((`pe`.`promoted_since` = '0000-00-00 00:00:00') or (`pe`.`promoted_since` <= `lastrun`)) and
				((`pe`.`promoted_until` = '0000-00-00 00:00:00') or (`pe`.`promoted_until` >= `lastrun`)) 
			)

			left join `#__xtdir_promocategories_paid_view` `pcp` on (`t`.`id` = `pcp`.`entry_id`)
			left join `#__xtdir_promocategories_dynamic_view` `pcd` on (`t`.`id` = `pcd`.`entry_id`)
		where
			isnull(`pcp`.`entry_id`) and isnull(`pcd`.`entry_id`);

DROP VIEW IF EXISTS `#__xtdir_promosection_paid_view`;
DROP TABLE IF EXISTS `#__xtdir_promosection_paid_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_promosection_paid_view` AS 
	select `t`.`section` AS `section_id`,`t`.`id` AS `entry_id`, `promo`.`ordering` AS `ordering`,`promo`.`promotype_id` as `promotype_id`, `promo`.`tiertype_id` as `tiertype_id`, null  as `promoentry_id`, max(`r`.`id`) as `promoorder_id`    
		from `#__xtdir_trees` `t` 
			join `#__sobipro_object` `o` on
				((`t`.`id` = `o`.`id`) and (`o`.`oType` = 'entry')) 
			join `#__xtdir_promotions` `promo` on
				((`t`.`section` = `promo`.`section_id` and `promo`.`category_id` = 0) and (`promo`.`published` = 1) and (`promo`.`tiertype_id` = 'P'))
			join `#__xtdir_lastrun`
			join `#__xtdir_promoorders` `r` on
				(	(`o`.`id` = `r`.`entry_id`) and (`r`.`order_status` = 'O') and 
					((`r`.`promoted_since` = '0000-00-00 00:00:00') or (`r`.`promoted_since` <= `lastrun`)) and
					((`r`.`promoted_until` = '0000-00-00 00:00:00') or (`r`.`promoted_until` >= `lastrun`)) 
				) group by `t`.`section`,`t`.`id`, `promo`.`ordering`,`promo`.`promotype_id`, `promo`.`tiertype_id`;

DROP VIEW IF EXISTS `#__xtdir_promosection_dynamic_view`;
DROP TABLE IF EXISTS `#__xtdir_promosection_dynamic_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_promosection_dynamic_view` AS 
	select `t`.`section` AS `section_id`,`t`.`id` AS `entry_id`, `promo`.`ordering` AS `ordering`,`promo`.`promotype_id` as `promotype_id`, `promo`.`tiertype_id` as `tiertype_id`, null  as `promoentry_id`, null as `promoorder_id`    
		from `#__xtdir_trees` `t` 
			join `#__sobipro_object` `o` on
				((`t`.`id` = `o`.`id`) and (`o`.`oType` = 'entry')) 
			join `#__xtdir_promotions` `promo` on
				((`t`.`section` = `promo`.`section_id` and `promo`.`category_id` = 0) and (`promo`.`published` = 1) and (`promo`.`tiertype_id` = 'D'))

			left join `#__xtdir_promosection_paid_view` `psp` on (`t`.`id` = `psp`.`entry_id`)
		where 
			isnull(`psp`.`entry_id`) and
			(
				(`t`.`id` = (select `sid` from `#__sobipro_field_option_selected` `opt` 
					where `opt`.`sid` = `t`.`id` and `opt`.`fid` = `promo`.`field_id` and `opt`.`optValue` = `promo`.`field_value` LIMIT 1)) OR
				(`t`.`id` = (select `sid` from `#__sobipro_field_data` `d` 
					where `d`.`sid` = `t`.`id` and `d`.`fid` = `promo`.`field_id` and `d`.`baseData` = `promo`.`field_value` LIMIT 1))
			);

DROP VIEW IF EXISTS `#__xtdir_promosection_manual_view`;
DROP TABLE IF EXISTS `#__xtdir_promosection_manual_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_promosection_manual_view` AS 
	select `t`.`section` AS `section_id`,`t`.`id` AS `entry_id`, 
			IF(isnull(`pe`.`id`), `promo`.`ordering`, `pe`.`ordering`) as `ordering`,
			IF(isnull(`pe`.`id`), `promo`.`promotype_id`, 'E') as `promotype_id`, 
			IF(isnull(`pe`.`id`), `promo`.`tiertype_id`, 'M')  as `tiertype_id`,
			`pe`.`id` as `promoentry_id`, 
			null as `promoorder_id`   
		from `#__xtdir_trees` `t` 
			join `#__sobipro_object` `o` on
				((`t`.`id` = `o`.`id`) and (`o`.`oType` = 'entry')) 
			join `#__xtdir_promotions` `promo` on
				((`t`.`section` = `promo`.`section_id` and `promo`.`category_id` = 0) and (`promo`.`published` = 1) and (`promo`.`tiertype_id` = 'M'))
			join `#__xtdir_lastrun`
			left join `#__xtdir_promoentries` `pe` on (
				`t`.`id` = `pe`.`entry_id` and `pe`.`published` = 1 and 
				((`pe`.`promoted_since` = '0000-00-00 00:00:00') or (`pe`.`promoted_since` <= `lastrun`)) and
				((`pe`.`promoted_until` = '0000-00-00 00:00:00') or (`pe`.`promoted_until` >= `lastrun`)) 
			)

			left join `#__xtdir_promosection_paid_view` `psp` on (`t`.`id` = `psp`.`entry_id`)
			left join `#__xtdir_promosection_dynamic_view` `psd` on (`t`.`id` = `psd`.`entry_id`)
		where 
			isnull(`psp`.`entry_id`) and isnull(`psd`.`entry_id`);

DROP VIEW IF EXISTS `#__xtdir_final_categorypromoted_view`;
DROP TABLE IF EXISTS `#__xtdir_final_categorypromoted_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_final_categorypromoted_view` AS 
	select `v`.`section_id` AS `section_id`,`v`.`category_id` AS `category_id`,`v`.`entry_id` AS `entry_id`,`v`.`ordering` AS `ordering`,`v`.`promotype_id` AS `promotype_id`,`v`.`tiertype_id` as `tiertype_id`,`o`.`counter` as `counter`, `v`.`promoentry_id` as `promoentry_id`, `v`.`promoorder_id` as `promoorder_id`
		from `#__xtdir_promocategories_manual_view` v, `#__sobipro_object` o where v.entry_id = o.id  
union 
	select `v`.`section_id` AS `section_id`,`v`.`category_id` AS `category_id`,`v`.`entry_id` AS `entry_id`,`v`.`ordering` AS `ordering`,`v`.`promotype_id` AS `promotype_id`,`v`.`tiertype_id` as `tiertype_id`,`o`.`counter` as `counter`, `v`.`promoentry_id` as `promoentry_id`, `v`.`promoorder_id` as `promoorder_id`
		from `#__xtdir_promocategories_dynamic_view` v, `#__sobipro_object` o where v.entry_id = o.id
union 
	select `v`.`section_id` AS `section_id`,`v`.`category_id` AS `category_id`,`v`.`entry_id` AS `entry_id`,`v`.`ordering` AS `ordering`,`v`.`promotype_id` AS `promotype_id`,`v`.`tiertype_id` as `tiertype_id`,`o`.`counter` as `counter`, `v`.`promoentry_id` as `promoentry_id`, `v`.`promoorder_id` as `promoorder_id`
		from `#__xtdir_promocategories_paid_view` v, `#__sobipro_object` o where v.entry_id = o.id;
				
DROP VIEW IF EXISTS `#__xtdir_final_sectionpromoted_view`;
DROP TABLE IF EXISTS `#__xtdir_final_sectionpromoted_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_final_sectionpromoted_view` AS 
	select `v`.`section_id` AS `section_id`,`v`.`entry_id` AS `entry_id`,`v`.`ordering` AS `ordering`,`v`.`promotype_id` AS `promotype_id`,`v`.`tiertype_id` as `tiertype_id`,`o`.`counter` as `counter`, `v`.`promoentry_id` as `promoentry_id`, `v`.`promoorder_id` as `promoorder_id`
		from `#__xtdir_promosection_manual_view` v, `#__sobipro_object` o where v.entry_id = o.id
union 
	select `v`.`section_id` AS `section_id`,`v`.`entry_id` AS `entry_id`,`v`.`ordering` AS `ordering`,`v`.`promotype_id` AS `promotype_id`,`v`.`tiertype_id` as `tiertype_id`,`o`.`counter` as `counter`, `v`.`promoentry_id` as `promoentry_id`, `v`.`promoorder_id` as `promoorder_id`
		from `#__xtdir_promosection_dynamic_view` v, `#__sobipro_object` o where v.entry_id = o.id
union 
	select `v`.`section_id` AS `section_id`,`v`.`entry_id` AS `entry_id`,`v`.`ordering` AS `ordering`,`v`.`promotype_id` AS `promotype_id`,`v`.`tiertype_id` as `tiertype_id`,`o`.`counter` as `counter`, `v`.`promoentry_id` as `promoentry_id`, `v`.`promoorder_id` as `promoorder_id`
		from `#__xtdir_promosection_paid_view` v, `#__sobipro_object` o where v.entry_id = o.id;
