<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirTablePromotion
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
*/
class XtdirTablePromotion extends FOFTable
{
	/**
	 * Instantiate the table object
	 *
	 * @param   string     $table  Param
	 * @param   string     $key    Param
	 * @param   JDatabase  &$db    The Joomla! database object
	 */
	public function __construct($table, $key, &$db)
	{
		parent::__construct('#__xtdir_promotions', 'id', $db);

		$this->_columnAlias = array(
						'enabled' => 'published'
		);
	}

	/**
	 * onAfterLoad
	 *
	 * @param   bool  &$result  Param
	 *
	 * @return	void
	 */
	protected function onAfterLoad(&$result)
	{
		if ($this->id == 0)
		{
			$this->published = true;
		}
	}

	/**
	 * Checks the record for validity
	 *
	 * @return  int  True if the record is valid
	 */
	public function check()
	{
		$db = $this->getDbo();
		$query = $db->getQuery(true)
			->select('id')
			->from($db->quoteName('#__xtdir_promotions'));

		$query->where($db->qn('section_id') . ' = ' . $db->q($this->section_id));
		$query->where($db->qn('category_id') . ' = ' . $db->q($this->category_id));
		$query->where($db->qn('tiertype_id') . ' = ' . $db->q($this->tiertype_id));

		if (!empty($this->field_id))
		{
			$query->where($db->qn('field_id') . ' = ' . $db->q($this->field_id));
			$query->where($db->qn('field_value') . ' = ' . $db->q($this->field_value));
		}

		$db->setQuery($query);
		$id = $db->loadResult();

		if ((empty($id)) || ($id = $this->id))
		{
			return true;
		}
		else
		{
			ELog::showMessage('COM_XTDIR_VIEW_PROMOTION_DUPLICATED_ERR');
		}

		return false;
	}
}
