<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

include_once JPATH_ADMINISTRATOR . '/components/com_xtdir/api/sobipro_api.php';

/**
 * XtdirViewFinder
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
 */
class XtdirViewFinder extends FOFViewHtml
{
	/**
	 * onAdd.
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	public function onAdd($tpl = null)
	{
		Extly::loadAwesome();

		SobiproHelper::installAppScript();

		$searchFields = FOFModel::getTmpInstance('Fields', 'XtdirModel');
		$fields = $searchFields->getSearchFields();
		$this->assign('search_field_list', $fields);

		$treeModel = FOFModel::getTmpInstance('Trees', 'XtdirModel');
		$total = $treeModel->getTotal();
		$this->assign('total', $total);

		if ($total > 0)
		{
			$treeModel->setState('filter_order_Dir', 'DESC');
			$treeModel->setState('limit', 1);
			$items = $treeModel->getItemList();

			$item = $items[0];
			$this->assign('last_update', $item->last_update);
		}

		return parent::onAdd($tpl);
	}
}
