<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$truncate_cats = EParameter::getComponentParam(CXTDIR, 'truncate_cats', UtilHelper::CATS_TEXT_LENGHT);

?>
<tbody>
	<?php

	if ($count = count($this->items))
	{
		$i = 0;
		$m = 1;

		foreach ($this->items as $item)
		{
			$m = 1 - $m;
			$entry = SobiProHelper::loadAndExtend($item->id);

			$categories = $entry->getCategories();
			$categoriesDesc = SobiProHelper::getCategoriesDesc($categories);

			?>
	<tr class="row<?php echo $m?>">


			<?php
			if ($hasAjaxOrderingSupport !== false)
			{
				$editstate = (($this->perms->editstate) && ($ordering) && (XtdirModelPromoTypes::isManual($item->promotype_id)));
				echo EHtmlGrid::ajaxOrderingColumn($editstate, $item->fordering);
			}
			?>

		<td><?php
			echo JHTML::_('grid.id', $i, $item->id);
		?>
		</td>

		<td><?php

			echo SobiproHelper::shownEntryName($entry);

		?>
		</td>

		<td class="text-overflow"><?php

			// Categories
			if ($truncate_cats)
			{
				$txt = UtilHelper::truncString($categoriesDesc, $truncate_cats, true);
			}

			echo htmlentities($txt, ENT_COMPAT, 'UTF-8');

		?>
		</td>
		<?php

			// Entry Actions

			$spVersion = SPFactory::CmsHelper()->myVersion();
			$isSp11 = (($spVersion['major'] >= 1) && ($spVersion['minor'] >= 1));

			// SobiPro Entry Enabled
			echo '<td class="object-actions">';

			if ($isSp11)
			{
				$url = 'index.php?option=com_xtdir&view=objects&task=entryToggleEnabled&entryId=' . $item->id . '&_token=' . $token;

				if ($entry->get('state'))
				{
					$on = ' active';
					$off = ' hide';
				}
				else
				{
					$on = ' hide';
					$off = ' active';
				}

				echo '<a class="text-success xt-ajax-button' . $on . '" href="' . $url . '" data-original-title="' . JText::_('COM_XTDIR_SOBIPRO_ENABLED_TOOLTIP') . '" rel="tooltip"><i class="xticon xticon-check"></i></a>';
				echo '<a class="xt-ajax-button' . $off . '" href="' . $url . '" data-original-title="' . JText::_('COM_XTDIR_SOBIPRO_ENABLED_TOOLTIP') . '" rel="tooltip"><i class="xticon xticon-times-circle"></i></a>';
			}
			else
			{
				if ($entry->get('state'))
				{
					echo '<span class="text-success"><i class="xticon xticon-check"></i></span>';
				}
				else
				{
					echo '<i class="xticon xticon-times-circle"></i>';
				}
			}

			echo '</td>';

			// SobiPro Entry Approval
			echo '<td class="object-actions">';

			if ($isSp11)
			{
				$url = 'index.php?option=com_xtdir&view=objects&task=entryToggleApproval&entryId=' . $item->id . '&_token=' . $token;

				if ($entry->get('approved'))
				{
					$on = ' active';
					$off = ' hide';
				}
				else
				{
					$on = ' hide';
					$off = ' active';
				}

				echo '<a class="xt-ajax-button text-success' . $on . '" href="' . $url . '" data-original-title="' . JText::_('COM_XTDIR_SOBIPRO_APPROVAL_TOOLTIP') . '" rel="tooltip"><i class="xticon xticon-thumbs-up"></i></a>';
				echo '<a class="xt-ajax-button ' . $off . '" href="' . $url . '" data-original-title="' . JText::_('COM_XTDIR_SOBIPRO_APPROVAL_TOOLTIP') . '" rel="tooltip"><i class="xticon xticon-thumbs-down"></i></a>';
			}
			else
			{
				if ($entry->get('approved'))
				{
					echo '<span class="text-success"><i class="xticon xticon-thumbs-up"></i></span>';
				}
				else
				{
					echo '<i class="xticon xticon-thumbs-down"></i>';
				}
			}

			echo '</td>';

			if (XTDIR_PROMOTED_ENTRIES)
			{
				if ($item->fordering == PromotedHelper::ENTRY_NOT_PROMOTED)
				{
					echo '<td><span class="text-error" style="color: #B94A48;"><i class="xticon xticon-circle-o"></i></span> <a href="#" data-original-title="'
							. JText::_('COM_XTDIR_SOBIPRO_NOPROMOTION_DESC')
							. '" rel="tooltip">'
							. JText::_('COM_XTDIR_SOBIPRO_NOPROMOTION_LABEL')
							. '</a></td><td></td>';
				}
				else
				{
					// Entry Promoted Status
					echo '<td class="object-actions ' . (XTDIR_PROMOTED_ENTRIES ? '' : 'hide') . '">';

					$class_e = 'hide';
					$class_cs = 'hide';
					$class_not = 'hide';

					if ($item->promoted_id)
					{
						// Already promoted with automatic tiers
						if (($item->promotype_id == 'C') || ($item->promotype_id == 'S'))
						{
							$class_cs = '';
						}
						else
						{
							$class_e = '';
						}
					}
					else
					{
						$class_not = '';
					}

					$attrs = 'entry_id="' . $item->id . '" token="' . $token . '"';

					// Entry
					echo '<a ' . $attrs . ' class="xt-promoted-button xt-promoted-e text-success ' . $class_e . '" href="#" data-original-title="' . JText::_('COM_XTDIR_SOBIPRO_PROMOTED_TOOLTIP') . '" rel="tooltip"><i class="xticon xticon-star"></i></a>';

					if (isset($item->promoentry_id))
					{
						$url = 'index.php?option=com_xtdir&view=promoentries&task=edit&id=' . $item->promoentry_id;
					}
					else
					{
						$url = '#';
					}

					echo ' <a href="' . $url . '" class="xt-promoted-e xt-promoted-edit ' . $class_e . '" data-original-title="' . JText::_('COM_XTDIR_SOBIPRO_PROMOTED_EDITION_TOOLTIP') . '" rel="tooltip"><i class="xticon xticon-pencil"></i></a>';

					// Category - Section
					// Only manual can be toggled
					if ($item->tiertype_id == 'M')
					{
						echo '<a ' . $attrs . ' class="xt-promoted-button xt-promoted-cs text-warning ' . $class_cs . '" href="#" data-original-title="' . JText::_('COM_XTDIR_SOBIPRO_PROMOTED_TOOLTIP') . '" rel="tooltip"><i class="xticon xticon-star-o"></i></a>';
					}
					else
					{
						echo '<span ' . $attrs . ' class="xt-already-promoted xt-promoted-cs text-warning ' . $class_cs . '"><i class="xticon xticon-star-o"></i></span>';
					}

					if ((isset($item->tiertype_id)) && ($item->tiertype_id == 'P'))
					{
						$url = 'index.php?option=com_xtdir&view=promoorder&task=edit&id=' . $item->promoorder_id;
						echo ' <a ' . $attrs . ' class="xt-promoted-cs ' . $class_cs . '" href="' . $url . '" data-original-title="' . JText::_('COM_XTDIR_SOBIPRO_PROMOTED_ORDER_TOOLTIP') . '" rel="tooltip"><i class="xticon xticon-money"></i></a>';
					}

					// Not promoted
					echo '<a ' . $attrs . ' class="xt-promoted-button xt-promoted-not ' . $class_not . '" href="#" data-original-title="' . JText::_('COM_XTDIR_SOBIPRO_PROMOTED_TOOLTIP') . '" rel="tooltip"><i class="xticon xticon-circle-o"></i></a>';

					echo '</td>';

					if ($hasAjaxOrderingSupport === false)
					{
						echo $this->basicOrderingColumn($this->pagination, $i, $count, $item->fordering, $item->id);
					}
				}
			}
		?>

		<td><?php

			echo $item->id;

		?>
		</td>
	</tr>
		<?php
			$i++;
		}
		?>
	<?php
	}
	else
	{
		?>
	<tr>
		<td colspan="10" align="center"><?php echo JText::_('COM_XTDIR_COMMON_NOITEMS_LABEL') ?>
		</td>
	</tr>
	<?php
	}
	?>
</tbody>
