<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

include_once JPATH_ADMINISTRATOR . '/components/com_xtdir/api/sobipro_api.php';

/**
 * XtdirViewObjects
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
 */
class XtdirViewObjects extends FOFViewHtml
{
	/**
	 * onBrowse.
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	protected function onBrowse($tpl = null)
	{
		Extly::loadAwesome();

		$file = EHtml::getRelativeFile('js', 'com_xtdir/objects.min.js');

		if ($file)
		{
			$dependencies = array();

			if (EXTLY_J25)
			{
				$dependencies['ajaxbutton'] = array('jquery1102');
			}

			$paths = array(
							'ajaxbutton' => 'media/lib_extly/js/utils/jquery.xtajaxbutton.min'
			);

			$ajax_index = EExtensionHelper::getExtensionParam('system', 'xtdir', 'ajax_index', 1);
			$this->assign('ajax_index', $ajax_index);

			if ($ajax_index)
			{
				$paths['index'] = 'media/com_xtdir/js/index.min';
				$dependencies['index'] = array('extlycore');
			}

			Extly::initApp(CXTDIR_VERSION, $file, $dependencies, $paths);
		}

		// Load the model
		$model = $this->getModel();
		$model->setState('oType', 'entry');

		UtilHelper::loadSection($this);

		$blankImage = JUri::root() . 'media/lib_extly/images/Blank.gif';
		$this->assign('blankImage', $blankImage);

		return parent::onBrowse($tpl);
	}

	/**
	 * hasAjaxOrderingSupport
	 *
	 * @return bool
	 */
	public function hasAjaxOrderingSupport()
	{
		// (EXTLY_J3);
		return false;
	}

	/**
	 * basicOrderingColumn
	 *
	 * @param   object  &$pagination  Param
	 * @param   int     $i            Param
	 * @param   int     $count        Param
	 * @param   int     $ordering     Param
	 * @param   int     $id           Param
	 *
	 * @return  string
	 */
	public static function basicOrderingColumn(&$pagination, $i, $count, $ordering, $id)
	{
		$j3 = (EXTLY_J3);

		$output = array();
		$output[] = '<td class="order span2" align="center">';

		$disabled = ($ordering !== null) ? '' : 'disabled="disabled"';

		$output[] = ' <input type="text" name="order[]" size="5" value="';
		$output[] = $ordering;
		$output[] = '" ' . $disabled;
		$output[] = ' class="text_area input-ordering" style="text-align: center" />';

		$output[] = ' <input type="hidden" name="id4saving[]" value="';
		$output[] = $id;
		$output[] = '" ' . $disabled;
		$output[] = ' class="input-ordering" />';

		$output[] = '</td>';

		return implode('', $output);
	}
}
