<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

JHtml::_('behavior.formvalidation');

$hasRouter = (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_router.zip'));
$hasCategoriesFilter = (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_categoriesfilter.zip'));

?>

<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal">
			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="systems" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="returnurl"
				value="<?php

			echo base64_encode('index.php?option=com_xtdir&view=cpanels');

			?>" /> <input id="token" type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<?php
				if ($this->get('ajax_index'))
				{
					include_once 'index_progress.php';
				}
			?>

			<div class="row-fluid">

				<div class="span6">

					<fieldset class="basic">

						<legend>
							<?php echo JText::_('COM_XTDIR_TITLE_SYSTEMS_EDIT'); ?>
						</legend>

						<?php

	echo EHtml::readonlyTextControl(
			($this->item->enabled ? JText::_('JPUBLISHED') : JText::_('JUNPUBLISHED')),
			'readonlyenabled',
			'JSTATUS',
			'JSTATUS_DESC'
			);
	echo '<input type="hidden" name="enabled" value="' . $this->item->enabled . '">';

	if (!$this->item->enabled)
	{
		echo '<p class="text-error">' . JText::_('COM_XTDIR_VIEW_SYSTEM_PLUGIN_DISABLED_ERROR') . '</p>';
	}


	include_once 'sectionlist.php';

	echo EHtml::requiredTextControl(
		$this->item->xtform->get('index_limit', 1000),
		'xtform[index_limit]',
		'COM_XTDIR_VIEW_SYSTEM_INDEXLIMIT_LABEL',
		'COM_XTDIR_VIEW_SYSTEM_INDEXLIMIT_DESC');

	echo JText::_('COM_XTDIR_VIEW_SYSTEM_INDEXLIMIT_NOTE');

	echo EHtmlSelect::booleanListControl(
			$this->item->xtform->get('cronjob_mode', 1),
			'xtform[cronjob_mode]',
			'COM_XTDIR_VIEW_SYSTEM_CRONJOBMODE_LABEL',
			'COM_XTDIR_VIEW_SYSTEM_CRONJOBMODE_DESC',
			'COM_XTDIR_VIEW_SYSTEM_CRONJOBMODE_CRONOPTION',
			'COM_XTDIR_VIEW_SYSTEM_CRONJOBMODE_PAGELOADOPTION');

	echo EHtml::idControl(
		$this->item->extension_id,
		'extension_id');

?>

					</fieldset>

					<fieldset class="advanced">

					<div class="well">

					<legend><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_ADVANCED'); ?></legend>

					<?php

						echo EHtml::requiredTextControl(
								$this->item->xtform->get('max_execution', 10),
								'xtform[max_execution]',
								'COM_XTDIR_VIEW_SYSTEM_MAXEXECUTION_LABEL',
								'COM_XTDIR_VIEW_SYSTEM_MAXEXECUTION_DESC');

						echo EHtmlSelect::yesNoControl(
								$this->item->xtform->get('ajax_index', 1),
								'xtform[ajax_index]',
								'COM_XTDIR_VIEW_SYSTEM_AJAXINDEX_LABEL',
								'COM_XTDIR_VIEW_SYSTEM_AJAXINDEX_DESC');

						echo EHtmlSelect::yesNoControl(
								$this->item->xtform->get('in_memory', 0),
								'xtform[in_memory]',
								'COM_XTDIR_VIEW_SYSTEM_INMEMORY_LABEL',
								'COM_XTDIR_VIEW_SYSTEM_INMEMORY_DESC');
					?>
					</div>

					</fieldset>

				</div>

				<div class="span6">

					<div class="row-fluid">
						<div class="span12">


<?php
					if (($hasRouter) || ($hasCategoriesFilter))
					{
?>
						<h4>
						<?php
							echo JText::_('COM_XTDIR_VIEW_SYSTEM_GENERAL_APPS');
						?>
					</h4>

<?php
						if ($hasCategoriesFilter)
						{
?>
					<h5>
						<a href="../media/com_xtdir/apps/app_xtd_categoriesfilter.zip"><i class="xticon xticon-download"></i></a>
						<?php
							echo JText::_('COM_XTDIR_VIEW_SYSTEM_CATEGORIESFILTER_APPS'); ?>
					</h5>
					<p>
<?php

							echo SobiproHelper::spAppInstallControl(
									'categoriesfilterapp',
									'index.php?option=com_xtdir&view=systems&task=installCategoriesFilterApp&_token=' . JFactory::getSession()->getFormToken(),
									'media/com_xtdir/apps/app_xtd_categoriesfilter.zip'
							);
?>
					</p>
<?php
						}

						if ($hasRouter)
						{
?>
					<div class='alert alert-warning'><h5>
						<a href="../media/com_xtdir/apps/app_xtd_router.zip"><i class="xticon xticon-download"></i></a>
						<?php
							echo JText::_('COM_XTDIR_VIEW_SYSTEM_ROUTER_APPS'); ?>
					</h5>
					<p>
<?php

							echo SobiproHelper::spAppInstallControl(
									'router',
									'index.php?option=com_xtdir&view=systems&task=installRouterApp&_token=' . JFactory::getSession()->getFormToken(),
									'media/com_xtdir/apps/app_xtd_router.zip'
							);
?>
					</p></div>
<?php
						}
					}
?>


							<?php
								include_once JPATH_XTDIR . '/views/system/tmpl/status.php';
							?>

						</div>
					</div>

				</div>

			</div>
		</form>
	</div>
</div>
