<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirControllerMyEntries
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 * @since       1.0
 */
class XtdirControllerMyEntries extends FOFController
{
	/**
	 * __construct
	 *
	 * @param   array  $config  Param
	 *
	 * @since   11.1
	 */
	public function __construct($config = array())
	{
		parent::__construct($config);

		$this->setThisModelName('XtdirModelObjects');

		// Waiting for next FOF Lib
		$this->cacheableTasks = array();
	}

	/**
	 * FOF FIX https://github.com/akeeba/fof/commit/5f3de01f177785002d55d1e7c1561565d3de67c0
	 *
	 * Method to get a reference to the current view and load it if necessary.
	 *
	 * @param   string  $name    The view name. Optional, defaults to the controller name.
	 * @param   string  $type    The view type. Optional.
	 * @param   string  $prefix  The class prefix. Optional.
	 * @param   array   $config  Configuration array for view. Optional.
	 *
	 * @return  FOFView  Reference to the view or an error.
	 */
	public function getView($name = '', $type = '', $prefix = '', $config = array())
	{
		static $views;

		// Make sure $config is an array
		if (is_object($config))
		{
			$config = (array) $config;
		}
		elseif (!is_array($config))
		{
			$config = array();
		}

		if (!isset($views))
		{
			$views = array();
		}

		if (empty($name))
		{
			$name = $this->getName();
		}

		if (empty($prefix))
		{
			$prefix = $this->getName() . 'View';
		}

		// Create a key based on name + configuration
		if (array_key_exists('input', $config))
		{
			$key = $name . md5($config['input']->serialize());
		}
		else
		{
			$key = $name;
		}

		if (empty($views[$key]))
		{
			if ($view = $this->createView($name, $prefix, $type, $config))
			{
				$views[$key] = & $view;
			}
			else
			{
				throw new Exception(JText::sprintf('JLIB_APPLICATION_ERROR_VIEW_NOT_FOUND', $name, $type, $prefix), 500);
			}
		}

		return $views[$key];
	}
}
