<?php

/**
 * @package     Extly.Modules
 * @subpackage  mod_xtd_promoentries - XTDir Promoted Entries
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/*
 * Based on --- SobiPro Entries Module ---
 * Author
 * ------
 *   Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
 *   Email: sobi[at]sigsiu.net
 *   Url: http://www.Sigsiu.NET
 *   copyright Copyright (C) 2006 - 2013 Sigsiu.NET GmbH (http://www.sigsiu.net). All rights reserved.
 *   license GNU/GPL Version 3
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
 * as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
 * See http://www.gnu.org/licenses/gpl.html and http://sobipro.sigsiu.net/licenses.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 */

SPLoader::loadController('xtdpmod');

/**
 * XTDPromoEntriesMod
 *
 * @package     Extly.Modules
 * @subpackage  com_xtdir
 * @since       1.0
 */
class XTDPromoEntriesMod extends XTDPromoEntriesModCtrl
{
	/**
	 * ListEntries
	 *
	 * @param   object  $params  Params
	 * @param   object  $module  Params
	 *
	 * @return  void
	 */
	public static function ListEntries($params, $module)
	{
		static $instance = null;

		if (!($instance))
		{
			$instance = new self;
		}

		$instance->display($params, $module);
	}

	/**
	 * display
	 *
	 * @param   object  $params  Params
	 * @param   object  $module  Params
	 *
	 * @return  void
	 */
	public function display($params, $module)
	{
		$template = MOD_XTD_PROMOENTRIES_PATH . '/usr/templates/front/modules/xtdpentries/' . $params->get('tplFile');

		require_once JPATH_ROOT . '/components/com_sobipro/lib/sobi.php';
		Sobi::Initialise();

		if ($params->get('tplFile') && file_exists($template))
		{
			$css = $params->get('cssFiles');
			$css = explode("\n", $css);

			if (count($css))
			{
				foreach ($css as $file)
				{
					if (trim($file))
					{
						$file = explode('.', trim($file));
						array_pop($file);
						$file = implode('.', $file);
						SPFactory::header()->addCssFile("root.{$file}", false, null, true);
					}
				}
			}

			$jsFiles = $params->get('jsFiles');
			$jsFiles = explode("\n", $jsFiles);

			if ($params->get('engine') == 'ajax')
			{
				SPFactory::header()->initBase()->addJsFile(
					array(
								'bootstrap',
								'mod_xtd_promoentries-min'
					)
				)->addCssFile(
					array(
								'bootstrap.bootstrap',
								'icons'
					)
				);
			}

			if (count($jsFiles))
			{
				foreach ($jsFiles as $file)
				{
					if (trim($file))
					{
						$file = explode('.', trim($file));
						array_pop($file);
						$file = implode('.', $file);
						SPFactory::header()->addJsFile("root.{$file}", false, null, true);
					}
				}
			}

			if ($params->get('engine') == 'static')
			{
				$entries = $this->entries($params);

				$view = new XTDPromoEntriesModViewMod;
				$view->assign($this->_model, 'section');
				$view->setTemplate('front/modules/xtdpentries/' . preg_replace('/\.xsl$/', null, $params->get('tplFile')));
				$view->assign(SPFactory::user()->getCurrent(), 'visitor');
				$view->assign($entries, 'entries');
				$view->assign($params->get('xmlDeb'), 'debug');
				$view->display();
			}
			else
			{
				$suffix = $params->get('moduleclass_sfx');
				$section = $params->get('section');
				$sid = SPRequest::sid('request', SPRequest::int('pid', 0), true);
				$modal = (int) $params->get('modalWindow', 0);
				echo "<div class=\"XTDir ctrl-xtd-pmod {$suffix}\" data-mid=\"{$module->id}:{$section}:{$sid}:{$modal}\"><i class=\"icon-spinner icon-spin icon-large\"></i> </div>";
			}
		}
		else
		{
			Sobi::Error('EntriesMod', SPLang::e('Template file %s is missing', str_replace(MOD_XTD_PROMOENTRIES_ROOT . '/', null, $template)), SPC::WARNING, 0);
		}
	}
}
