/**
 * @package     Extly.Modules
 * @subpackage  mod_xtd_promoentries - XTDir Promoted Entries
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
/*
 * Based on --- SobiPro Entries Module ---
 * Author
 * ------
 *   Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
 *   Email: sobi[at]sigsiu.net
 *   Url: http://www.Sigsiu.NET
 *   copyright Copyright (C) 2006 - 2013 Sigsiu.NET GmbH (http://www.sigsiu.net). All rights reserved.
 *   license GNU/GPL Version 3
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
 * as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
 * See http://www.gnu.org/licenses/gpl.html and http://sobipro.sigsiu.net/licenses.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 */

SobiPro.jQuery('.ctrl-xtd-pmod').ready(function() {
	SobiPro.jQuery('.ctrl-xtd-pmod').XTDirPmod();
});

SobiPro.jQuery.fn.XTDirPmod = function() {
	this.j = SobiPro.jQuery;
	var proxy = this;
	var m = this.data('mid').split(':');
	this.Options = {
		'mid' : m[0],
		'sid' : m[1],
		'pid' : m[2],
		'modal' : m[3]
	};

	this.Modal = function(element) {
		SobiPro.jQuery.ajax({
			url : 'index.php',
			type : 'post',
			dataType : 'json',
			data : {
				'option' : 'com_sobipro',
				'task' : 'emod.modal',
				'sid' : element.data('sid'),
				'mid' : this.Options.mid,
				'format' : 'raw',
				'tmpl' : 'component'
			}
		}).done(function(response) {
			var modal = proxy.j(response.html);
			proxy.append(modal);
			modal.modal();
			element.find('.spinner-remove').detach();
		});
	}

	this.getEntries = function(site) {
		SobiPro.jQuery
				.ajax({
					url : 'index.php',
					type : 'post',
					dataType : 'json',
					data : {
						'option' : 'com_sobipro',
						'task' : 'emod.load',
						'sid' : this.Options.sid,
						'pid' : this.Options.pid,
						'mid' : this.Options.mid,
						'site' : site,
						'format' : 'raw',
						'tmpl' : 'component'
					}
				})
				.done(
						function(response) {
							proxy.html(response.html);
							proxy.find('.ctrl-pmod-navigation').removeClass(
									'hide');
							if (proxy.Options.modal == 1) {
								proxy
										.find('.ctrl-pmod-details')
										.click(
												function(e) {
													e.preventDefault();
													proxy
															.j(this)
															.html(
																	proxy
																			.j(
																					this)
																			.html()
																			+ '<span class="spinner-remove">&nbsp;<i class="icon-spinner icon-spin"></i></span>')
													proxy.Modal(proxy.j(this));
												});
							}
							proxy
									.find('.ctrl-pmod-pagination')
									.find('li')
									.find('a')
									.click(
											function(e) {
												e.preventDefault();
												if (!(proxy.j(this).parent()
														.hasClass('disabled'))) {
													var spinner = proxy
															.find(
																	'.ctrl-pmod-navigation')
															.find('.middle')
															.find('a');
													spinner
															.html('<i class="icon-spinner"></i>')
													proxy.getEntries(proxy.j(
															this).data('site'));
												}
											});
						});
	};

	this.getEntries();
}
