<?xml version="1.0" encoding="UTF-8"?><!--
@package     Extly.Modules
@subpackage  mod_xtd_promoentries - XTDir Promoted Entries
 *
@author      Prieco S.A. <support@extly.com>
@copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
@license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
@link        http://www.extly.com http://support.extly.com


Based on ||| SobiPro Entries Module |||
||| Author |||

  Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
  Email: sobi[at]sigsiu.net
  Url: http://www.Sigsiu.NET
  copyright Copyright (C) 2006 - 2013 Sigsiu.NET GmbH (http://www.sigsiu.net). All rights reserved.
  license GNU/GPL Version 3

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
See http://www.gnu.org/licenses/gpl.html and http://sobipro.sigsiu.net/licenses.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />
	<xsl:template match="/EntriesModule">
		<ul>
			<xsl:for-each select="entries/entry">
				<li>
					<a href="{url}" class="ctrl-pmod-details" data-sid="{@id}">
						<xsl:value-of select="name" />
					</a>
				</li>
			</xsl:for-each>
		</ul>
		<div class="ctrl-pmod-navigation hide">
			<xsl:call-template name="navigation" />
		</div>
	</xsl:template>

	<xsl:template name="navigation">
		<xsl:if test="//navigation/sites &gt; 1">
			<div class="pagination pagination-mini">
				<ul class="ctrl-pmod-pagination">
					<li>
						<xsl:if test="//navigation/site = 1">
							<xsl:attribute name="class">disabled</xsl:attribute>
						</xsl:if>
						<a href="#" data-site="1">&lt;&lt;</a>
					</li>
					<li>
						<xsl:if test="//navigation/site = 1">
							<xsl:attribute name="class">disabled</xsl:attribute>
						</xsl:if>
						<a href="#" data-site="{//navigation/site - 1}">&lt;</a>
					</li>
					<li class="disabled middle">
						<a href="#">...</a>
					</li>
					<li>
						<xsl:if test="//navigation/site = //navigation/sites">
							<xsl:attribute name="class">disabled</xsl:attribute>
						</xsl:if>
						<a href="#" data-site="{//navigation/site + 1}">&gt;</a>
					</li>
					<li>
						<xsl:if test="//navigation/site = //navigation/sites">
							<xsl:attribute name="class">disabled</xsl:attribute>
						</xsl:if>
						<a href="#" data-site="{//navigation/sites}">&gt;&gt;</a>
					</li>
				</ul>
			</div>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
