<?xml version="1.0" encoding="UTF-8"?><!--
@package     Extly.Modules
@subpackage  mod_xtd_promoentries - XTDir Promoted Entries
 *
@author      Prieco S.A. <support@extly.com>
@copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
@license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
@link        http://www.extly.com http://support.extly.com


Based on ||| SobiPro Entries Module |||
||| Author |||

  Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
  Email: sobi[at]sigsiu.net
  Url: http://www.Sigsiu.NET
  copyright Copyright (C) 2006 - 2013 Sigsiu.NET GmbH (http://www.sigsiu.net). All rights reserved.
  license GNU/GPL Version 3

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
See http://www.gnu.org/licenses/gpl.html and http://sobipro.sigsiu.net/licenses.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl">
	<xsl:template match="/EntriesModuleVCard">
		<div class="XTDir">
			<div class="modal">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
						<xsl:text disable-output-escaping="yes">&amp;times;</xsl:text>
					</button>
					<h3>
						<xsl:value-of select="entry/name" />
					</h3>
				</div>
				<div class="modal-body">
					<xsl:for-each select="entry/fields/*">
						<div>
							<xsl:attribute name="class">
								<xsl:value-of select="@css_class" />
							</xsl:attribute>
							<xsl:if test="count(data/*) or string-length(data)">
								<xsl:if test="label/@show = 1">
									<strong><xsl:value-of select="label" />:
									</strong>
								</xsl:if>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="count(data/*)">
									<xsl:copy-of select="data/*" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="string-length(data)">
										<xsl:value-of select="data" disable-output-escaping="yes" />
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="count(data/*) or string-length(data)">
								<xsl:if test="string-length(@suffix)">
									<xsl:text> </xsl:text>
									<xsl:value-of select="@suffix" />
								</xsl:if>
							</xsl:if>
						</div>
					</xsl:for-each>
				</div>
				<div class="modal-footer">
					<a href="{entry/url}" class="btn btn-primary">
						<i class="icon-globe"/>
					</a>
				</div>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>
