<?php

/**
 * @package     Extly.Modules
 * @subpackage  mod_xtd_promoentries - XTDir Promoted Entries
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/*
 * Based on --- SobiPro Entries Module ---
 * Author
 * ------
 *   Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
 *   Email: sobi[at]sigsiu.net
 *   Url: http://www.Sigsiu.NET
 *   copyright Copyright (C) 2006 - 2013 Sigsiu.NET GmbH (http://www.sigsiu.net). All rights reserved.
 *   license GNU/GPL Version 3
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
 * as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
 * See http://www.gnu.org/licenses/gpl.html and http://sobipro.sigsiu.net/licenses.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 */

defined('SOBIPRO') || exit('Restricted access');
SPLoader::loadView('section');

/**
 * XTDPromoEntriesModView
 *
 * @package     Extly.Modules
 * @subpackage  com_xtdir
 * @since       1.0
 */
class XTDPromoEntriesModView extends SPSectionView implements SPView
{
	/**
	 * parseEntry
	 *
	 * @param   int  $sid  Params
	 *
	 * @return  object
	 */
	public function parseEntry($sid)
	{
		return $this->entry($sid, false, true);
	}

	/**
	 * display
	 *
	 * @return  object
	 */
	public function display()
	{
		switch ($this->_attr['view'])
		{
			case 'list':
				return $this->module();
			case 'modal':
				return $this->modal();
		}
	}

	/**
	 * modal
	 *
	 * @return  string
	 */
	protected function modal()
	{
		$data = array();
		$visitor = $this->get('visitor');
		$data['visitor'] = $this->visitorArray($visitor);
		$data['entry'] = $this->entry($this->get('sid'), false, true);
		$this->_attr = $data;
		$parser = SPFactory::Instance('mlo.template_xslt');
		$parser->setData($this->_attr);
		$parser->setType('EntriesModuleVCard');
		$parser->setTemplate($this->_template);
		$parser->setProxy($this);

		return $parser->display('html');
	}

	/**
	 * module
	 *
	 * @return  string
	 */
	protected function module()
	{
		$data = array();
		$visitor = $this->get('visitor');
		$data['visitor'] = $this->visitorArray($visitor);
		$entries = $this->_attr['entries'];

		if (count($entries))
		{
			$this->loadNonStaticData($entries);
			$manager = Sobi::Can('entry', 'edit', '*', Sobi::Section()) ? true : false;

			foreach ($entries as $eid)
			{
				$en = $this->entry($eid, $manager);
				$data['entries'][] = array(
								'_complex' => 1,
								'_attributes' => array(
												'id' => $en['id'],
												'nid' => $en['nid']
								),
								'_data' => $en
				);
			}

			$this->navigation($data);
		}

		$this->_attr = $data;
		$parser = SPFactory::Instance('mlo.template_xslt');
		$parser->setData($this->_attr);
		$parser->setType('EntriesModule');
		$parser->setTemplate($this->_template);
		$parser->setProxy($this);

		return $parser->display('html');
	}
}
