<?php

/**
 * @package     Extly.Modules
 * @subpackage  mod_xtd_promoentries - XTDir Promoted Entries
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/*
 * Based on --- SobiPro Entries Module ---
 * Author
 * ------
 *   Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
 *   Email: sobi[at]sigsiu.net
 *   Url: http://www.Sigsiu.NET
 *   copyright Copyright (C) 2006 - 2013 Sigsiu.NET GmbH (http://www.sigsiu.net). All rights reserved.
 *   license GNU/GPL Version 3
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
 * as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
 * See http://www.gnu.org/licenses/gpl.html and http://sobipro.sigsiu.net/licenses.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 */

JLoader::import('joomla.html.parameter.element');
require_once dirname(__FILE__) . '/xtdelements.php';

/**
 * JFormFieldXtdForm
 *
 * @package     Extly.Modules
 * @subpackage  com_xtdir
 * @since       1.0
 */
class JFormFieldXtdForm extends JFormField
{
	protected $xtdElement = null;

	/**
	 * __construct
	 *
	 * @param   object  $jform  Params
	 */
	public function __construct($jform = null)
	{
		parent::__construct($jform);
		$this->xtdElement = JElementXtdElements::getInstance();
	}

	/**
	 * Method to get the field input markup.
	 *
	 * @return  string  The field input markup.
	 */
	protected function getInput()
	{
		$this->xtdElement->setSettings($this->form->getValue('params'));

		return $this->xtdElement->fetchElement($this->fieldname, $this->label);
	}
}
