<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * PlgSystemXtdir class.
 *
 * @package     Extly.Plugins
 * @subpackage  com_xtdir
 * @since       1.0
*/
class PlgSystemXtdir extends JPlugin
{
	/**
	 * Constructor
	 *
	 * @param   object  &$subject  The object to observe
	 * @param   array   $config    An array that holds the plugin configuration
	 *
	 * @since   1.0
	 *
	 */
	public function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);
	}

	/**
	 * Execute
	 *
	 * @param   bool  $force  Force to index
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	public function execute($force = false)
	{
		include_once JPATH_ADMINISTRATOR . '/components/com_xtdir/api/xtdirapi.php';
		$cronjob_mode = $this->params->get('cronjob_mode', 1);

		if ((!$cronjob_mode) || ($force))
		{
			$scheduled_indexer = new TreeIndexer;
			$scheduled_indexer->indexSinceLastRunRebuild($force);
		}
	}

	/**
	 * onAfterRender
	 *
	 * @return	void
	 */
	public function onAfterRender()
	{
		// Check for component
		if (!JComponentHelper::getComponent('com_sobipro', true)->enabled)
		{
			if (JError::$legacy)
			{
				JError::raiseWarning('5', 'SobiPro Component is not installed or not enabled.');
			}
			else
			{
				JFactory::getApplication()->enqueueMessage('SobiPro Component is not installed or not enabled.', 'warning');
			}

			return true;
		}

		include_once JPATH_ADMINISTRATOR . '/components/com_xtdir/api/xtdirapi.php';

		if ((class_exists('Extly')) && (Extly::hasApp()))
		{
			// Get the response body
			$body = JResponse::getBody();
			Extly::insertDependencyManager($body);
			JResponse::setBody($body);
		}

		// Cronjob execution
		$cronjob_mode = $this->params->get('cronjob_mode', 1);

		if ((JFactory::getApplication()->isSite()) && (!$cronjob_mode))
		{
			$this->execute();
		}
	}
}
